=== debian/changelog ===
ros-melodic-rc-silhouettematch-client (3.1.0-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.5-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.2-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.1-2stretch) stretch; urgency=high

  * add missing msg dependencies

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.0-2stretch) stretch; urgency=high

  * refactoring and cleanup
  * set parameters on parameter server so that dynamic reconfigure picks them up
  * enum for dynamic reconfigure quality params
  * service calls always return true, but set return_code in case of error
  * visualize base plane as disk
  * add plane_preference
  * initial implementation of SilhouetteMatch client
  * Contributors: Elena Gambaro, Felix Ruess, schaller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000
