## ros-melodic-rc-silhouettematch-client 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # - Standard definitions -
 
-if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
+if (CMAKE_VERSION VERSION_LESS "3.1.0")
     add_definitions(-std=c++11)
 else ()
     set(CMAKE_CXX_STANDARD 11)
