=== debian/control ===
Source: ros-melodic-rc-silhouettematch-client
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rc_silhouettematch_client
Standards-Version: 3.9.2

Package: ros-melodic-rc-silhouettematch-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Description: The ros client for roboception silhouette match module
